Bug 53259 - netconfig (pump) doesn't honor --nameserver arg.
netconfig (pump) doesn't honor --nameserver arg.
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Depends On:
  Show dependency treegraph
Reported: 2001-09-05 13:32 EDT by John Clemens
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-05 10:59:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Clemens 2001-09-05 13:32:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3) Gecko/20010801

Description of problem:
On a vanilla RedHat 7.1 box, setting up the networking using the command
line version of 'netconfig' doesn't work with the --nameserver arguement. 
This is very important for custom configuration scripts.  This worked in
6.2 (running 'netconfig --device=eth0 --nameserver=' would add a
"NS1=" to the /etc/sysconfig/network-scripts/ifcfg-eth0 file, and
configure networking accordingly.)  Looking at the source code, this option
appears to be silently ignored.

Questions:  How does one set up the nameserver through netconfig command
line arguements now?  Why does this documented feature silently fail? and
what other options are there for specifying the DNS server through the
command line?

thank you,

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run 'netconfig --device=eth20 --bootproto=none --ip=
--netmask= --gateway= --nameserver=
2. look at the resulting /etc/sysconfig/network-scripts/ifcfg-eth20
3. Notice nowhere is there a "NAMESERVER=" or "NS1=" option.

Actual Results:  see above.

Expected Results:  there should be a NAMESERVER= or NS1= or something in
the ifcfg-? file that will tell the networking to reconfigure the DNS for
this interface.

Additional info:
Comment 1 Eido Inoue 2004-01-05 10:59:52 EST
closing as supported products don't use pump anymore

Note You need to log in before you can comment on or make changes to this bug.